PHP Manual
Prev |  | Next

# expect_popen

(no version information, might be only in CVS)

expect_popen -- Exectute command via Bourne shell, and open the PTY stream to the process

## Description

resource expect_popen ( string command )

Execute command via Bourne shell, and open the PTY stream to the process.

## Parameters

command

  Command to execute.

## Return Values

Returns an open PTY stream to the process'es stdio, stdout and stderr.

On failure this function returns `FALSE`.

## Examples

Example 1. expect_popen() example
`<?php // Login to the PHP.net CVS repository: $stream = expect_popen ("cvs -d :pserver:anonymous@cvs.php.net:/repository login"); sleep (3); fwrite ($stream, "phpfi\n"); fclose ($stream); ?>`

## See Also

popen()

Prev | Home | Next
expect_expectl | Up | File Alteration Monitor Functions